/* BLOCK: Support Cards */

.block-support-cards .swiper {
    margin-inline: calc(-1 * var(--offset, 0px));
    padding-inline: var(--offset, 0px);
}

.block-support-cards .card {
    border-radius: 1.5625rem;
    /* aspect-ratio: 0.79; */
    display: flex;
    flex-direction: column;
    overflow: hidden;
    height: auto;
}

.block-support-cards .card.theme--dark-tint-2 {
    color: var(--c-text-dark);
    --theme-clr-fg: var(--c-text-dark);
    --theme-clr-heading: var(--c-text-dark);
}

.block-support-cards .card[class*="theme--dark"] .card__status {
    color: var(--c-text-light);
}

.block-support-cards .card[class*="theme--light"] .card__status {
    color: var(--c-primary);
}

.block-support-cards .card.theme--dark .card__status {
    color: var(--c-tertiary);
}

.block-support-cards .card .card__status {
    padding: 2.5rem 2.5rem 1.875rem;
}

.block-support-cards .card .card__status:not(:has(+ .text-content)) {
    margin-bottom: auto;
}

.block-support-cards .card .card__status.has-pulse-dot {
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

.block-support-cards .card .cta-buttons {
    padding: 0 2.5rem 2.5rem;
}

.block-support-cards .card .cta-buttons a {
    width: 100%;
}

.block-support-cards .card .card__graphics {
    /* max-height: 10.438rem; */
    display: block;
    width: 100%;
    margin-block: 2.5rem;
}

.block-support-cards .card .card__graphics:first-child {
    margin-top: auto;
}

.block-support-cards .card:first-child .card__graphics {
    /* margin-left: 13%; */
    /* max-height: 10.11rem; */
    display: block;
    width: 85%;
    align-self: flex-end;
}

.block-support-cards .card:last-child .card__graphics {
    /* margin-left: -10%; */
    /* max-height: 10.55rem; */
    display: block;
    width: 83%;
    align-self: flex-start;
}

.block-support-cards .card .text-content {
    padding: 0 2.5rem;
    margin-bottom: auto;
}

:where(.block-support-cards .card.theme--dark-tint-2) .btn:where(.tertiary) {
    --clr-text: var(--c-primary);
}

@media screen and (width <= 920px) {
    .block-support-cards .card {
        border-radius: 1.125rem;
    }
    
}

@media screen and (width <= 620px) {
    .block-support-cards .card .card__status {
        padding: 1.875rem 1.875rem 1.25rem;
    }
    .block-support-cards .card .card__status.has-pulse-dot {
        gap: 0.5rem;
    }
    .block-support-cards .card .text-content {
        padding-inline: 1.875rem 2.5rem;
    }
    .block-support-cards .card .card__graphics {
        margin-block: 1.875rem 1.5rem;
    }
    .block-support-cards .card .cta-buttons {
        padding: 0 1.875rem 1.875rem;
    }
}